Loading...
Searching...
No Matches
netifapi.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/sys.h"`
`#include "lwip/netif.h"`
`#include "lwip/dhcp.h"`
`#include "lwip/autoip.h"`
`#include "lwip/priv/tcpip_priv.h"`
`#include "lwip/priv/api_msg.h"`
`#include "lwip/prot/ethernet.h"`

## Macros

#define | netifapi_netif_remove(n)
#define | netifapi_netif_set_up(n)
#define | netifapi_netif_set_down(n)
#define | netifapi_netif_set_default(n)
#define | netifapi_netif_set_link_up(n)
#define | netifapi_netif_set_link_down(n)
#define | netifapi_dhcp_start(n)
#define | netifapi_dhcp_stop(n)
#define | netifapi_dhcp_inform(n)
#define | netifapi_dhcp_renew(n)
#define | netifapi_dhcp_release(n)
#define | netifapi_dhcp_release_and_stop(n)
#define | netifapi_autoip_start(n)
#define | netifapi_autoip_stop(n)

## Functions

err_t | netifapi_arp_add (const ip4_addr_t *ipaddr, struct eth_addr *ethaddr, enum netifapi_arp_entry type)
err_t | netifapi_arp_remove (const ip4_addr_t *ipaddr, enum netifapi_arp_entry type)
err_t | netifapi_netif_add (struct netif *netif, const ip4_addr_t *ipaddr, const ip4_addr_t *netmask, const ip4_addr_t *gw, void *state, netif_init_fn init, netif_input_fn input)
err_t | netifapi_netif_set_addr (struct netif *netif, const ip4_addr_t *ipaddr, const ip4_addr_t *netmask, const ip4_addr_t *gw)
err_t | netifapi_netif_common (struct netif *netif, netifapi_void_fn voidfunc, netifapi_errt_fn errtfunc)
err_t | netifapi_netif_name_to_index (const char *name, u8_t *idx)
err_t | netifapi_netif_index_to_name (u8_t idx, char *name)

## Detailed Description

netif API (to be used from non-TCPIP threads)

## Function Documentation

## netifapi_netif_common()

err_t netifapi_netif_common | ( | struct netif * | netif,
|  | netifapi_void_fn | voidfunc,
|  | netifapi_errt_fn | errtfunc )

call the "errtfunc" (or the "voidfunc" if "errtfunc" is NULL) in a thread-safe way by running that function inside the tcpip_thread context.

Note
  use only for functions where there is only "netif" parameter.